import Image from "next/image";

export default function KnowUs({data}) {
    return (
        <section className='relative md:py-24 py-16 overflow-hidden px-10 lg:px-0'>

            <div className='container relative md:mt-24 mt-16'>
                <div className='grid md:grid-cols-12 grid-cols-1 items-center gap-[30px]'>
                    <div className='lg:col-span-5 md:col-span-6'>
                        <div className='flex items-center relative'>
                            <div className='flex justify-center items-center w-full'>
                                {/*<div*/}
                                {/*    className="overflow-hidden after:content-[''] after:absolute after:size-[320px] md:after:size-[420px] after:bg-main/5 after:-top-2 md:after:end-3 after:end-2 after:-z-1 after:rounded-full"><*/}
                                {/*    /div>*/}
                                <Image
                                    src={data?.company?.side_image || "/images/about/ab01.jpg"}
                                    unoptimized={true}
                                    width={0}
                                    height={0}
                                    sizes='100vw'
                                    style={{width: "70%", height: "auto"}}
                                    className='shadow rounded-md'
                                    alt=''
                                />

                            </div>

                        </div>
                    </div>

                    <div className='lg:col-span-7 md:col-span-6'>
                        <div className='lg:ms-5'>
                            <h3 className='mb-6 md:text-3xl md:leading-normal text-2xl leading-normal font-semibold'>
                                {data?.company?.title || "company"}
                            </h3>

                            <p className='text-slate-400 max-w-xl'>
                                {data?.company?.description || "description"}
                            </p>

                            {/*<div className='mt-6'>*/}
                            {/*    <Link*/}
                            {/*        href='/About-us'*/}
                            {/*        className="relative inline-flex items-center tracking-wide align-middle text-base text-center border-none after:content-[''] after:absolute after:h-px after:w-0 hover:after:w-full after:end-0 hover:after:end-auto after:bottom-0 after:start-0 after:transition-all after:duration-500 font-semibold text-main after:bg-main duration-500 ease-in-out"*/}
                            {/*    >*/}
                            {/*        Learn more <FaArrowRight className='ms-2 text-[10px]'/>*/}
                            {/*    </Link>*/}
                            {/*</div>*/}
                        </div>
                    </div>
                </div>
            </div>
            <div className='container relative md:mt-24 mt-16'>
                <div className='grid md:grid-cols-12 grid-cols-1 items-center gap-[30px]'>
                    <div className='lg:col-span-7 md:col-span-6'>
                        <div className='lg:ms-5'>
                            <h3 className='mb-6 md:text-3xl md:leading-normal text-2xl leading-normal font-semibold'>
                                {data?.factory?.title || "factory"}
                            </h3>

                            <p className='text-slate-400 max-w-xl'>
                                {data?.factory?.description || "description"}
                            </p>

                            {/*<div className='mt-6'>*/}
                            {/*    <Link*/}
                            {/*        href='/About-us'*/}
                            {/*        className="relative inline-flex items-center tracking-wide align-middle text-base text-center border-none after:content-[''] after:absolute after:h-px after:w-0 hover:after:w-full after:end-0 hover:after:end-auto after:bottom-0 after:start-0 after:transition-all after:duration-500 font-semibold text-main after:bg-main duration-500 ease-in-out"*/}
                            {/*    >*/}
                            {/*        Learn more <FaArrowRight className='ms-2 text-[10px]'/>*/}
                            {/*    </Link>*/}
                            {/*</div>*/}
                        </div>
                    </div>
                    <div className='lg:col-span-5 md:col-span-6'>
                        <div className='flex items-center relative'>
                            <div className='flex justify-center items-center w-full'>
                                {/*<div*/}
                                {/*    className="overflow-hidden after:content-[''] after:absolute after:size-[320px] md:after:size-[420px] after:bg-main/5 after:-top-2 md:after:end-3 after:end-2 after:-z-1 after:rounded-full"><*/}
                                {/*    /div>*/}
                                <Image
                                    src={data?.factory?.side_image || "/images/about/ab01.jpg"}
                                    unoptimized={true}
                                    width={0}
                                    height={0}
                                    sizes='100vw'
                                    style={{width: "70%", height: "auto"}}
                                    className='shadow rounded-md'
                                    alt=''
                                />

                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </section>
    )
}