
import {getTranslations} from "next-intl/server";

export default async function Services({data}) {
    const t = await getTranslations('nav')
    return (
        <section className="relative md:py-24 py-16 lg:px-0 px-10">
            <div className="container relative">
                <div className="grid md:grid-cols-2 grid-cols-1 pb-8 items-center">
                    <div>
                        <h6 className="text-main text-sm font-bold uppercase mb-2">{t("services")}</h6>
                        <h3 className="md:text-3xl md:leading-normal text-2xl leading-normal font-semibold mb-4 md:mb-0">{data?.title || "It was a very common question that What IT Service We Provide now!"}</h3>
                    </div>
                    <p className="text-slate-400 max-w-xl">{data?.description || "Explore and learn more about everything from machine learning and global payments to scaling your team."}</p>
                </div>
                {/*<div className="grid lg:grid-cols-4 md:grid-cols-2 grid-cols-1 mt-8 gap-[30px]">*/}
                {/*    {*/}
                {/*        itSolutionData.map((data, index) => {*/}
                {/*            let Icons = data.icon*/}
                {/*            return (*/}

                {/*                <div key={index}*/}
                {/*                     className="group relative p-6 shadow dark:shadow-gray-800 hover:shadow-md dark:hover:shadow-gray-700 hover:bg-main dark:hover:bg-main transition-all duration-500 ease-in-out rounded-xl bg-white dark:bg-slate-900 overflow-hidden text-center">*/}
                {/*                    <div className="relative overflow-hidden text-transparent -m-3">*/}
                {/*                        <Icon.Hexagon*/}
                {/*                            className="size-24 fill-main/5 group-hover:fill-white/10 mx-auto rotate-90"></Icon.Hexagon>*/}
                {/*                        <div*/}
                {/*                            className="absolute top-2/4 -translate-y-2/4 start-0 end-0 mx-auto text-main rounded-xl group-hover:text-white transition-all duration-500 ease-in-out text-3xl flex align-middle justify-center items-center">*/}
                {/*                            <Icons width={30} height={30}/>*/}
                {/*                        </div>*/}
                {/*                    </div>*/}

                {/*                    <div className="mt-6">*/}
                {/*                        <Link href="#"*/}
                {/*                              className="text-lg font-medium group-hover:text-white transition-all duration-500 ease-in-out">{data.title}</Link>*/}
                {/*                        <p className="text-slate-400 group-hover:text-white/50 transition-all duration-500 ease-in-out mt-3">It*/}
                {/*                            is a long established fact that a reader.</p>*/}
                {/*                    </div>*/}
                {/*                </div>*/}
                {/*            )*/}
                {/*        })*/}
                {/*    }*/}
                {/*</div>*/}
            </div>


        </section>
    )
}