import {GoClock, GoRocket} from "react-icons/go";
import {FiAirplay, FiFileText, FiPhone} from "react-icons/fi";
import {BiLineChart, BiTachometer} from "react-icons/bi";
import {LiaCrosshairsSolid, LiaSwatchbookSolid} from "react-icons/lia";
import {LuSearch, LuUsers} from "react-icons/lu";
import {FaRegEnvelope} from "react-icons/fa";
import {RiMapPinLine} from "react-icons/ri";
import {TbUserCheck} from "react-icons/tb";

export const teamData = [
    {
        image: "/images/client/01.jpg",
        name: "Ronny Jofra",
        title: "C.E.O.",
        desc: "If the distribution of letters and words is random",
        background: "bg-indigo-600/10 dark:bg-indigo-600/30 ",
    },
    {
        image: "/images/client/02.jpg",
        name: "Aliana Rosy",
        title: "HR",
        desc: "If the distribution of letters and words is random",
        background: "bg-emerald-600/10 dark:bg-emerald-600/30 ",
    },
    {
        image: "/images/client/03.jpg",
        name: "Sofia Razaq",
        title: "C.O.O.",
        desc: "If the distribution of letters and words is random",
        background: "bg-red-600/10 dark:bg-red-600/30  ",
    },
    {
        image: "/images/client/04.jpg",
        name: "Micheal Carlo",
        title: "Director",
        desc: "If the distribution of letters and words is random",
        background: "bg-sky-600/10 dark:bg-sky-600/30  ",
    },
    {
        image: "/images/client/05.jpg",
        name: "Ronny Jofra",
        title: "C.E.O.",
        desc: "If the distribution of letters and words is random",
        background: "bg-indigo-600/10 dark:bg-indigo-600/30  ",
    },
    {
        image: "/images/client/06.jpg",
        name: "Aliana Rosy",
        title: "HR",
        desc: "If the distribution of letters and words is random",
        background: "bg-emerald-600/10 dark:bg-emerald-600/30 ",
    },
    {
        image: "/images/client/07.jpg",
        name: "Sofia Razaq",
        title: "C.O.O.",
        desc: "If the distribution of letters and words is random",
        background: "bg-red-600/10 dark:bg-red-600/30 ",
    },
    {
        image: "/images/client/08.jpg",
        name: "Micheal Carlo",
        title: "Director",
        desc: "If the distribution of letters and words is random",
        background: "bg-sky-600/10 dark:bg-sky-600/30",
    },
]
export const furnitureItem = [
    {
        image: "/images/furniture/i1.jpg",
        name: "Item name is #1",
        amount: "$145.00"
    },
    {
        image: "/images/furniture/i2.jpg",
        name: "Item name is #2",
        amount: "$145.00"
    },
    {
        image: "/images/furniture/i3.jpg",
        name: "Item name is #3",
        amount: "$145.00"
    },
    {
        image: "/images/furniture/i4.jpg",
        name: "Item name is #4",
        amount: "$145.00"
    },
    {
        image: "/images/furniture/i5.jpg",
        name: "Item name is #5",
        amount: "$145.00"
    },
    {
        image: "/images/furniture/i6.jpg",
        name: "Item name is #6",
        amount: "$145.00"
    },
    {
        image: "/images/furniture/i7.jpg",
        name: "Item name is #7",
        amount: "$145.00"
    },
    {
        image: "/images/furniture/i8.jpg",
        name: "Item name is #8",
        amount: "$145.00"
    },
]
export const itSolutionData = [
    {
        icon: BiLineChart,
        title: 'Hign Performance'
    },
    {
        icon: LiaCrosshairsSolid,
        title: 'Best Securities'
    },
    {
        icon: FiAirplay,
        title: 'Trusted Service'
    },
    {
        icon: GoRocket,
        title: 'Info Technology'
    },
    {
        icon: GoClock,
        title: '24/7 Support'
    },
    {
        icon: LuUsers,
        title: 'IT Management'
    },
    {
        icon: FiFileText,
        title: 'Certified Company'
    },
    {
        icon: LuSearch,
        title: 'Data Analytics'
    },
]
export const productData = [
    {
        id: 1,
        image: "/images/shop/items/s1.jpg",
        name: "Branded T-Shirt",
        amount: "$21.00",
        descAmount: "$16.00",
        tag: "Featured",
        tagBg: "bg-green-600"
    },
    {
        id: 2,
        image: "/images/shop/items/s2.jpg",
        name: "Shopping Bag",
        amount: "$21.00",
        descAmount: "$16.00"
    },
    {
        id: 3,
        image: "/images/shop/items/s3.jpg",
        name: "Elegent Watch",
        amount: "$21.00",
        descAmount: "$16.00"
    },
    {
        id: 4,
        image: "/images/shop/items/s4.jpg",
        name: "Casual Shoes",
        amount: "$21.00",
        descAmount: "$16.00",
        tag: "New",
        tagBg: "bg-orange-600"
    },
    {
        id: 5,
        image: "/images/shop/items/s5.jpg",
        name: "Earphones",
        amount: "$21.00",
        descAmount: "$16.00"
    },
    {
        id: 6,
        image: "/images/shop/items/s6.jpg",
        name: "Elegent Mug",
        amount: "$21.00",
        descAmount: "$16.00"
    },
    {
        id: 7,
        image: "/images/shop/items/s7.jpg",
        name: "Sony Headphones",
        amount: "$21.00",
        descAmount: "$16.00",
        tag: "Sale",
        tagBg: "bg-indigo-600"
    },
    {
        id: 8,
        image: "/images/shop/items/s8.jpg",
        name: "Wooden Stools",
        amount: "$21.00",
        descAmount: "$16.00"
    },
    {
        id: 9,
        image: "/images/shop/items/s9.jpg",
        name: "Branded T-Shirt",
        amount: "$21.00",
        descAmount: "$16.00",
        tag: "Popular",
        tagBg: "bg-cyan-500"
    },
    {
        id: 10,
        image: "/images/shop/items/s10.jpg",
        name: "Shopping Bag",
        amount: "$21.00",
        descAmount: "$16.00",
        tag: "Popular",
        tagBg: "bg-cyan-500"
    },
    {
        id: 11,
        image: "/images/shop/items/s11.jpg",
        name: "Sports Shoes",
        amount: "$21.00",
        descAmount: "$16.00",
        tag: "Popular",
        tagBg: "bg-cyan-500"
    },
    {
        id: 12,
        image: "/images/shop/items/s12.jpg",
        name: "T-shirt",
        amount: "$21.00",
        descAmount: "$16.00",
        tag: "Popular",
        tagBg: "bg-cyan-500"
    },
    {
        id: 13,
        image: "/images/shop/items/s13.jpg",
        name: "Wooden Chair",
        amount: "$21.00",
        descAmount: "$16.00",
    },
    {
        id: 14,
        image: "/images/shop/items/s14.jpg",
        name: "Women Block Heels",
        amount: "$21.00",
        descAmount: "$16.00",
    },
    {
        id: 15,
        image: "/images/shop/items/s15.jpg",
        name: "Shorts",
        amount: "$21.00",
        descAmount: "$16.00",
    },
    {
        id: 16,
        image: "/images/shop/items/s16.jpg",
        name: "T-shirt",
        amount: "$21.00",
        descAmount: "$16.00",
    },
]
export const shopGrid = [
    {
        checked: true,
        gender: 'Men'
    },
    {
        checked: false,
        gender: 'Women'
    },
    {
        checked: false,
        gender: 'Kid.s Wear'
    },
    {
        checked: false,
        gender: 'Sports'
    },
    {
        checked: false,
        gender: 'Jewellery'
    },
    {
        checked: false,
        gender: 'Electronics'
    },
]
export const contactData = [
    {
        icon: FiPhone,
        title: "Phone",
        desc: "The phrasal sequence of the is now so that many campaign and benefit",
        contact: "+152 534-468-854",
        href: "tel:+152534468854"
    },
    {
        icon: FaRegEnvelope,
        title: "Email",
        desc: "The phrasal sequence of the is now so that many campaign and benefit",
        contact: "contact@example.com",
        href: "mailto:contact@example.com"
    },
    {
        icon: RiMapPinLine,
        title: "Location",
        desc: "The phrasal sequence of the is now so that many campaign and benefit",
        contact: "View on Google map",
        href: "https://goo.gl/maps/ocw4G6ZcHZHjKzLz8"
    }
]
export const hostingAbout = [
    {
        icon: LiaSwatchbookSolid,
        title: "Analytical 1",
        desc: "There are many variations of passages of Lorem Ipsum available",
    },
    {
        icon: BiTachometer,
        title: "Analytical 2",
        desc: "There are many variations of passages of Lorem Ipsum available",
    },
    {
        icon: TbUserCheck,
        title: "Analytical 3",
        desc: "There are many variations of passages of Lorem Ipsum available",
    },
]
export const blogData = [
    {
        id: 1,
        Image: "/images/about2.jpg",
        title: 'Design your apps in your own way',
        desc: 'The phrasal sequence of the is now so that many campaign and benefit',
    },
    {
        id: 2,
        Image: "/images/about2.jpg",
        title: 'How apps is changing the IT world',
        desc: 'The phrasal sequence of the is now so that many campaign and benefit',
    },
    {
        id: 3,
        Image: "/images/about2.jpg",
        title: 'Smartest Applications for Business',
        desc: 'The phrasal sequence of the is now so that many campaign and benefit',
    },
    {
        id: 4,
        Image: "/images/about2.jpg",
        title: 'Best Coffee Shops In The State You Should Know',
        desc: 'The phrasal sequence of the is now so that many campaign and benefit',
    },
    {
        id: 5,
        Image: "/images/about2.jpg",
        title: 'The Culture And Coffee Customs Nowadays',
        desc: 'The phrasal sequence of the is now so that many campaign and benefit',
    },
    {
        id: 6,
        Image: "/images/about2.jpg",
        title: 'Best Cup Of Drinks For Your Break Today',
        desc: 'The phrasal sequence of the is now so that many campaign and benefit',
    },
    {
        id: 7,
        Image: "/images/about2.jpg",
        title: "How to Maximize Time Spent at the Gym",
        desc: "The phrasal sequence of the is now so that many campaign and benefit"
    },
    {
        id: 8,
        Image: "/images/about2.jpg",
        title: "Today is the Best Day to Start Training",
        desc: "The phrasal sequence of the is now so that many campaign and benefit"
    },
    {
        id: 9,
        Image: "/images/about2.jpg",
        title: "Simple Condition for all Around Fitness",
        desc: "The phrasal sequence of the is now so that many campaign and benefit"
    },
    {
        id: 10,
        Image: "/images/about2.jpg",
        title: "Hiking for health in Peru",
        desc: "The phrasal sequence of the is now so that many campaign and benefit"
    },
    {
        id: 11,
        Image: "/images/about2.jpg",
        title: "Sisley Spa opens at Miramar",
        desc: "The phrasal sequence of the is now so that many campaign and benefit"
    },
    {
        id: 12,
        Image: "/images/about2.jpg",
        title: "Top 5 Tips for Choosing a Day Spa",
        desc: "The phrasal sequence of the is now so that many campaign and benefit"
    },
]
export const RecentPostData = [
    {
        id:15,
        Image: "/images/blog/06.jpg",
        Title: 'Consultant Business',
        Date: '1st May 2022'
    },
    {
        id:16,
        Image: "/images/blog/07.jpg",
        Title: 'Grow Your Business',
        Date: '1st May 2022'
    },
    {
        id:17,
        Image: "/images/blog/08.jpg",
        Title: 'Look On The Glorious Balance',
        Date: '1st May 2022'
    }
];