import Link from "next/link";

export default function SocialMediaBox({href, isLight = true, icon}) {
    return (
        <Link
            href={href}
            target='_blank'
            className={`size-8 ${isLight ? "text-white/60 border-white/10" : "border-gray-800"} inline-flex items-center justify-center tracking-wide align-middle duration-500 text-base text-center border  rounded-md hover:border-main  hover:text-white dark:hover:border-main hover:bg-main dark:hover:bg-main`}
        >
            {icon}
        </Link>
    )
}