'use server';

import {cookies} from 'next/headers';

const COOKIE_NAME = 'NEXT_LOCALE';
const COOKIE_DIR = "NEXT_DIR"

export async function getUserLocale() {
    return {lang: 'en', dir: 'LTR'};
}

export async function setUserLocale(locale) {
    cookies().set(COOKIE_NAME, locale);
    cookies().set(COOKIE_DIR, locale === 'ar' ? 'RTL' : 'LTR');
}